<script lang="ts">
import Vue from 'vue';
import { SlpTooltip } from '../common/index.vue';

export default Vue.extend({
  components: {
    SlpTooltip,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
    tooltipPosition: {
      type: String,
      required: false,
      default: 'right',
    },
  },
});
</script>

<template>
  <div class="pricing-feature-list-container">
    <SlpTypography tag="h2" class="header" variant="body3-bold">{{
      data.header
    }}</SlpTypography>
    <ul class="list">
      <li v-for="feature in data.list" :key="feature.text" class="item">
        <img src="/nuxt-images/icons/slp-check-lg.svg" alt="" class="bullet" />
        <span class="feature" v-html="feature.text"></span>
        <span v-if="feature.new" class="new-badge"
          ><SlpTypography variant="body3-bold">New</SlpTypography></span
        >
        <SlpTooltip
          v-if="feature.information"
          :id="feature.text.toLowerCase().replace(/\s/g, '-')"
          :list="feature.information"
          :position="tooltipPosition"
          class="tooltip"
          mode="click"
          ><img src="/nuxt-images/icons/information.svg" alt=""
        /></SlpTooltip>
      </li>
    </ul>

    <a
      v-if="data.learn_more"
      :href="data.learn_more.url"
      class="footer-anchor"
      :data-ga-name="data.learn_more.data_ga_name"
      :data-ga-location="data.learn_more.data_ga_location"
      ><SlpTypography variant="body-2-bold">{{
        data.learn_more.text
      }}</SlpTypography>
      <img class="chevron" src="/nuxt-images/icons/slp-chevron-lg.svg" alt=""
    /></a>
  </div>
</template>

<style lang="scss" scoped>
.pricing-feature-list-container {
  .header {
    margin-bottom: $spacing-8;
  }
  .new-badge {
    background-color: $color-accent-500;
    border-radius: 100px;
    color: white;
    padding: 3px 13px;
  }
  .item {
    display: flex;
    align-items: center;
    .bullet {
      filter: invert(48%) sepia(92%) saturate(3122%) hue-rotate(240deg)
        brightness(86%) contrast(102%);
      margin-right: 20px;
    }
    margin: $spacing-8 0;
  }
  .list {
    margin-bottom: 40px;
  }
  .footer-anchor {
    color: black;
    font-weight: 600;
    .chevron {
      margin-left: 18px;
    }
  }
  .tooltip {
    border: none;
    cursor: pointer;
    height: 1rem;
    margin-left: $spacing-8;
  }
}
</style>
